Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessagePremiumGiveawayWinners

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageContent
it.tdlight.jni.TdApi.MessagePremiumGiveawayWinners

Enclosing class:
  TdApi

public static final class TdApi.MessagePremiumGiveawayWinners extends TdApi.MessageContent
A Telegram Premium giveaway with public winners has been completed for the chat.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`actualWinnersSelectionDate`
Point in time (Unix timestamp) when the winners were selected.
`int`
`additionalChatCount`
Number of other chats that participated in the giveaway.
`long`
`boostedChatId`
Identifier of the channel chat, which was automatically boosted by the winners of the giveaway for duration of the Premium subscription.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`long`
`giveawayMessageId`
Identifier of the message with the giveaway in the boosted chat.
`int`
`monthCount`
Number of months the Telegram Premium subscription will be active after code activation.
`boolean`
`onlyNewMembers`
True, if only new members of the chats were eligible for the giveaway.
`String`
`prizeDescription`
Additional description of the giveaway prize.
`int`
`unclaimedPrizeCount`
Number of undistributed prizes.
`boolean`
`wasRefunded`
True, if the giveaway was canceled and was fully refunded.
`int`
`winnerCount`
Total number of winners in the giveaway.
`long[]`
`winnerUserIds`
Up to 100 user identifiers of the winners of the giveaway.

## Constructor Summary

Constructors
Constructor
Description
`MessagePremiumGiveawayWinners()`
A Telegram Premium giveaway with public winners has been completed for the chat.
`MessagePremiumGiveawayWinners(long boostedChatId, long giveawayMessageId, int additionalChatCount, int actualWinnersSelectionDate, boolean onlyNewMembers, boolean wasRefunded, int monthCount, String prizeDescription, int winnerCount, long[] winnerUserIds, int unclaimedPrizeCount)`
A Telegram Premium giveaway with public winners has been completed for the chat.
`MessagePremiumGiveawayWinners(DataInput input)`
A Telegram Premium giveaway with public winners has been completed for the chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### boostedChatId

public long boostedChatId
Identifier of the channel chat, which was automatically boosted by the winners of the giveaway for duration of the Premium subscription.

### giveawayMessageId

public long giveawayMessageId
Identifier of the message with the giveaway in the boosted chat.

### additionalChatCount

public int additionalChatCount
Number of other chats that participated in the giveaway.

### actualWinnersSelectionDate

public int actualWinnersSelectionDate
Point in time (Unix timestamp) when the winners were selected. May be bigger than winners selection date specified in parameters of the giveaway.

### onlyNewMembers

public boolean onlyNewMembers
True, if only new members of the chats were eligible for the giveaway.

### wasRefunded

public boolean wasRefunded
True, if the giveaway was canceled and was fully refunded.

### monthCount

public int monthCount
Number of months the Telegram Premium subscription will be active after code activation.

### prizeDescription

public String prizeDescription
Additional description of the giveaway prize.

### winnerCount

public int winnerCount
Total number of winners in the giveaway.

### winnerUserIds

public long[] winnerUserIds
Up to 100 user identifiers of the winners of the giveaway.

### unclaimedPrizeCount

public int unclaimedPrizeCount
Number of undistributed prizes.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### MessagePremiumGiveawayWinners

public MessagePremiumGiveawayWinners()
A Telegram Premium giveaway with public winners has been completed for the chat.

### MessagePremiumGiveawayWinners

public MessagePremiumGiveawayWinners(long boostedChatId, long giveawayMessageId, int additionalChatCount, int actualWinnersSelectionDate, boolean onlyNewMembers, boolean wasRefunded, int monthCount, String prizeDescription, int winnerCount, long[] winnerUserIds, int unclaimedPrizeCount)
A Telegram Premium giveaway with public winners has been completed for the chat.

Parameters:
  `boostedChatId` - Identifier of the channel chat, which was automatically boosted by the winners of the giveaway for duration of the Premium subscription.
  `giveawayMessageId` - Identifier of the message with the giveaway in the boosted chat.
  `additionalChatCount` - Number of other chats that participated in the giveaway.
  `actualWinnersSelectionDate` - Point in time (Unix timestamp) when the winners were selected. May be bigger than winners selection date specified in parameters of the giveaway.
  `onlyNewMembers` - True, if only new members of the chats were eligible for the giveaway.
  `wasRefunded` - True, if the giveaway was canceled and was fully refunded.
  `monthCount` - Number of months the Telegram Premium subscription will be active after code activation.
  `prizeDescription` - Additional description of the giveaway prize.
  `winnerCount` - Total number of winners in the giveaway.
  `winnerUserIds` - Up to 100 user identifiers of the winners of the giveaway.
  `unclaimedPrizeCount` - Number of undistributed prizes.

### MessagePremiumGiveawayWinners

public MessagePremiumGiveawayWinners(DataInput input) throws IOException
A Telegram Premium giveaway with public winners has been completed for the chat.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`